// Filename		: Serializer.h
// Author		: Siddharth Barman
// Date			: 06 Aug 2005
// Description	: Declares interface ISerializer. This interface must be impleme
//				  nted by the class which wants to act as a serialization provid
//				  er. This class will be responsible for reading, writing and cr
//				  eating objects of classes which register with it.
//------------------------------------------------------------------------------

#pragma once
#include "Serializable.h"
//------------------------------------------------------------------------------

class ISerializer
{
public:
	virtual				~ISerializer(){}	
	virtual bool		Serialize(ISerializable*) = 0;		// a single item
	virtual bool		Serialize(const CPtrList&) = 0;		// a list of items
	virtual int			Deserialize(IObjectFactory*, CPtrList& objList) = 0;
};

//------------------------------------------------------------------------------